Last Comment Bug 697560 - WebGL Conformance fails on 'read-pixels-test'
: WebGL Conformance fails on 'read-pixels-test'
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla10
Assigned To: Jeff Gilbert [:jgilbert]
:
:
Mentors:
Depends on: 697168
Blocks: webgl-conformance
  Show dependency treegraph
 
Reported: 2011-10-26 13:47 PDT by Jeff Gilbert [:jgilbert]
Modified: 2011-11-01 07:39 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix errors generated by WebGL readPixels to bring up to spec (11.16 KB, patch)
2011-10-26 14:11 PDT, Jeff Gilbert [:jgilbert]
no flags Details | Diff | Splinter Review
Patch 2: Disallow conformance test failures for 'read-pixels-test' (3.03 KB, patch)
2011-10-26 14:12 PDT, Jeff Gilbert [:jgilbert]
no flags Details | Diff | Splinter Review
Patch 1: Fix errors generated by WebGL readPixels to bring up to spec (11.35 KB, patch)
2011-10-27 10:57 PDT, Jeff Gilbert [:jgilbert]
jacob.benoit.1: review+
Details | Diff | Splinter Review
Patch 2: Disallow conformance test failures for 'read-pixels-test' (3.10 KB, patch)
2011-10-27 10:58 PDT, Jeff Gilbert [:jgilbert]
jacob.benoit.1: review+
Details | Diff | Splinter Review
Fix errors generated by WebGL readPixels to bring up to spec and disallow conf. fails (14.41 KB, patch)
2011-10-31 17:02 PDT, Jeff Gilbert [:jgilbert]
jgilbert: review+
Details | Diff | Splinter Review

Description Jeff Gilbert [:jgilbert] 2011-10-26 13:47:24 PDT
We currently do not generate errors properly in accordance to spec for gl.readPixels, causing us to fail conformance test 'read-pixels-test'.
Comment 1 Jeff Gilbert [:jgilbert] 2011-10-26 14:11:37 PDT
Created attachment 569787 [details] [diff] [review]
Fix errors generated by WebGL readPixels to bring up to spec

This fixes the argument checking for readPixels to more closely follow spec.
Comment 2 Jeff Gilbert [:jgilbert] 2011-10-26 14:12:42 PDT
Created attachment 569788 [details] [diff] [review]
Patch 2: Disallow conformance test failures for 'read-pixels-test'

Updates the failed test lists for win/mac/lin.
Comment 3 Jeff Gilbert [:jgilbert] 2011-10-26 14:44:09 PDT
Matching try: https://tbpl.mozilla.org/?tree=Try&rev=e2772af21681
Comment 4 Jeff Gilbert [:jgilbert] 2011-10-27 10:57:04 PDT
Created attachment 570030 [details] [diff] [review]
Patch 1: Fix errors generated by WebGL readPixels to bring up to spec

Unbitrotting.
Comment 5 Jeff Gilbert [:jgilbert] 2011-10-27 10:58:01 PDT
Created attachment 570031 [details] [diff] [review]
Patch 2: Disallow conformance test failures for 'read-pixels-test'

Unbitrot.
Comment 6 Benoit Jacob [:bjacob] (mostly away) 2011-10-27 14:44:26 PDT
Comment on attachment 570031 [details] [diff] [review]
Patch 2: Disallow conformance test failures for 'read-pixels-test'

Review of attachment 570031 [details] [diff] [review]:
-----------------------------------------------------------------

fold into other patch.
Comment 8 Jeff Gilbert [:jgilbert] 2011-10-31 17:02:23 PDT
Created attachment 570885 [details] [diff] [review]
Fix errors generated by WebGL readPixels to bring up to spec and disallow conf. fails

r+ carryover from bjacob.
Comment 9 Jeff Gilbert [:jgilbert] 2011-10-31 17:03:00 PDT
That was what was pushed. I just forgot to upload the new version before pushing.
Comment 10 Jeff Gilbert [:jgilbert] 2011-10-31 17:18:15 PDT
Removed [inbound] from whiteboard as per https://wiki.mozilla.org/Tree_Rules/Inbound
Comment 11 Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-11-01 07:39:52 PDT
https://hg.mozilla.org/mozilla-central/rev/022e7d3042cb

Note You need to log in before you can comment on or make changes to this bug.